Moderations
curl --request POST \
--url https://models.phanedge.cloud/v1/moderations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://models.phanedge.cloud/v1/moderations"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://models.phanedge.cloud/v1/moderations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}其他
Moderations
通过 OpenAI 兼容 /v1/moderations 做内容安全检测
POST
/
v1
/
moderations
Moderations
POST /v1/moderations 用于对输入内容进行安全检测,适合在用户输入、公开发布、自动化生成链路中做前置或后置检查。
请求示例
curl -X POST "https://models.phanedge.cloud/v1/moderations" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{
"model": "omni-moderation-latest",
"input": "需要检测的文本内容"
}'
使用建议
- 对用户输入做前置检测,避免明显违规内容进入生成链路。
- 对模型输出做后置检测,降低发布风险。
- 不要只依赖自然语言
message分支处理,优先读取结构化分类字段。
不同上游渠道的内容安全分类粒度可能不同;平台会尽量保留可程序化处理的结构化信息。
Authorizations
Authorization: Bearer
Body
application/json
The body is of type object.
Response
200 - application/json
OK
The response is of type object.

